Subject: Re: [Sip] Timer D in the INVITE client transaction MUST inform the TU when it fires????

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 19 Jun 2002 01:54:09 -0400

[email-masked] wrote:
> 17.1.12 (lines 3312, 3313) states: 
> 
> "If timer D fires while the client transaction is in the "Completed"
> state, 
>  the client transaction MUST move to the terminated state, and it MUST 
>  inform the TU of the timeout." 
> 
> This does not apply to the cases when timers I, J, K fire in the other
> types 
> of transactions. Moreover, I do not think that the above statement for
> timer 
> D is correct: there is no purpose in informing the transaction user. The
> 
> sentence should therefore be removed. 

I agree.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip